using System;

namespace ServiceBusAppDemo.Common
{
    public interface IServiceBus
    {
        void SendMessage<T>(T message)
            where T : class, new();

        bool ReceiveMessage<T>(Software software, Func<Message<T>, bool> processMessageFunction)
            where T: class, new();
    }
}