﻿using System;
using ServiceBusAppDemo.Common;

namespace ServiceBusAppDemo.Receiver
{
    public class Logger : ILogger
    {
        public void LogException(Exception exception)
        {
            Console.WriteLine(exception);
        }

        public void LogMessage(LogLevel logLevel, string message)
        {
            Console.WriteLine(logLevel.ToString() + ":" + message);
        }
    }
}
