﻿using System;

namespace ServiceBusAppDemo.Common
{
    public interface IMessageReceiver<T> : IMessageReceiver 
        where T : class, new()
    {
        bool ProcessMessage(Message<T> message);
        Software Software { get; }

    }
}