﻿using System;
using System.Collections.Generic;

namespace ServiceBusAppDemo.Common
{
    internal class ServiceBusConfiguration
    {
        private ServiceBusConfiguration()
        {
        }

        internal static ServiceBusConfiguration Create()
        {
            //TODO: load from database
            var configration = new ServiceBusConfiguration();
            var mappings = new Dictionary<Type, IEnumerable<Software>>();
            var type = Type.GetType("ServiceBusAppDemo.Messages.Person, ServiceBusAppDemo.Messages");
            if (type == null)
            {
                throw new ArgumentException("Invalid message type");
            }
            mappings.Add(type, new List<Software>(new[] { new Software("EnerGov"), new Software("Package1") }));

            type = Type.GetType("ServiceBusAppDemo.Messages.Company, ServiceBusAppDemo.Messages");
            if (type == null)
            {
                throw new ArgumentException("Invalid message type");
            }
            mappings.Add(type, new List<Software>(new[] { new Software("EnerGov"), new Software("Package2") }));
            configration.Mappings = mappings;
            return configration;
        }

        internal Dictionary<Type, IEnumerable<Software>> Mappings { get; private set; }
    }
}
